#/bin/sh

KEY_FILE="/cert/device/key.pem"
CERT_FILE="/cert/device/device_cert.pem"
KEY_ID="0xF0000110"
CERT_ID="0xF0000111"
EXIT_RESTART=255

if [ -e "/root/gw_container/customize/main.py" ]; then
  CMD="python3 /root/gw_container/customize/main.py -d"
else
  CMD="python3 -m atgateway -d"
fi

getkey() {
  if [ ! -d '/sys/devices/platform/se050-enable' ]; then
    gpioset gpiochip3 18=1
  else
    export SE050_PM_ENABLED=true
  fi

  mkdir -p /cert/device

  if [ ! -e $KEY_FILE ]; then
    se05x_getkey $KEY_ID $KEY_FILE /dev/i2c-1:0x48
  fi

  if [ ! -e $CERT_FILE ]; then
    se05x_getkey $CERT_ID $CERT_FILE /dev/i2c-1:0x48
  fi
}

main() {
  getkey

  while true
  do
    $CMD
    # if the exit code is EXIT_RESTART, restart the app
    if [ $? -ne $EXIT_RESTART ]; then
      break
    fi
  done
}

main
